jQuery(document).ready(function ($) {

  $(window).scroll(function () {
    if ($(this).scrollTop() > 100) {
      $(".back-to-top a").fadeIn();
    } else {
      $(".back-to-top a").fadeOut();
    }
  });

  $(".back-to-top a").click(function () {
    $("html, body").animate({ scrollTop: 0 }, 800);
    return false;
  });

  //projects-swiper
  var fse_transportation_company_project_Slider = new Swiper(".projects-slider", {
    breakpoints: {
      0: {
        slidesPerView: 1,
        centeredSlides: false,
      },
      768: {
        slidesPerView: 2,
        centeredSlides: false,
      },
      992: {
        slidesPerView: 3,
        centeredSlides: true,
      }
    },
    autoplay: {
      delay: 3000,
      disableOnInteraction: false,
    },
    spaceBetween: 30,
    loop: true,
    navigation: {
      nextEl: ".projects-swiper-button-next",
      prevEl: ".projects-swiper-button-prev",
    },
  });

});

document.addEventListener("DOMContentLoaded", function () {
  const fse_transportation_company_barBoxes = document.querySelectorAll(".bar-box");

  fse_transportation_company_barBoxes.forEach((box) => {
    const fse_transportation_company_percentText = box.querySelector(".percent").innerText;
    const fse_transportation_company_bar = box.querySelector(".bar");

    const fse_transportation_company_value = parseInt(fse_transportation_company_percentText); // 50,35,15
    fse_transportation_company_bar.style.height = fse_transportation_company_value + "%";
  });
});

